Bug 1026610 - [abrt] evolution-3.8.5-2.fc19: gtk_container_propagate_draw: Process /usr/bin/evolution was killed by signal 11 (SIGSEGV)
[abrt] evolution-3.8.5-2.fc19: gtk_container_propagate_draw: Process /usr/bin...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Milan Crha
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:a5b72839853fb7078503c0cde98...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-04 23:02 EST by Matthew Saltzman
Modified: 2015-02-17 14:03 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 14:03:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (138.08 KB, text/plain)
2013-11-04 23:03 EST, Matthew Saltzman
no flags Details
File: cgroup (141 bytes, text/plain)
2013-11-04 23:03 EST, Matthew Saltzman
no flags Details
File: core_backtrace (173.96 KB, text/plain)
2013-11-04 23:03 EST, Matthew Saltzman
no flags Details
File: dso_list (26.85 KB, text/plain)
2013-11-04 23:03 EST, Matthew Saltzman
no flags Details
File: environ (2.29 KB, text/plain)
2013-11-04 23:03 EST, Matthew Saltzman
no flags Details
File: exploitable (82 bytes, text/plain)
2013-11-04 23:03 EST, Matthew Saltzman
no flags Details
File: limits (1.29 KB, text/plain)
2013-11-04 23:03 EST, Matthew Saltzman
no flags Details
File: maps (132.94 KB, text/plain)
2013-11-04 23:03 EST, Matthew Saltzman
no flags Details
File: open_fds (3.84 KB, text/plain)
2013-11-04 23:03 EST, Matthew Saltzman
no flags Details
File: proc_pid_status (942 bytes, text/plain)
2013-11-04 23:03 EST, Matthew Saltzman
no flags Details
File: var_log_messages (15.04 KB, text/plain)
2013-11-04 23:03 EST, Matthew Saltzman
no flags Details

  None (edit)
Description Matthew Saltzman 2013-11-04 23:02:59 EST
Version-Release number of selected component:
evolution-3.8.5-2.fc19

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        evolution
crash_function: gtk_container_propagate_draw
executable:     /usr/bin/evolution
kernel:         3.11.6-200.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gtk_container_propagate_draw at gtkcontainer.c:3322
 #1 gtk_box_forall at gtkbox.c:1865
 #2 gtk_container_draw at gtkcontainer.c:3239
 #3 _gtk_marshal_BOOLEAN__BOXEDv at gtkmarshalers.c:130
 #4 gtk_widget_draw_marshallerv at gtkwidget.c:906
 #5 _g_closure_invoke_va at gclosure.c:840
 #8 _gtk_widget_draw_internal at gtkwidget.c:6173
 #9 gtk_container_propagate_draw at gtkcontainer.c:3375
 #10 gtk_box_forall at gtkbox.c:1865
 #11 gtk_container_draw at gtkcontainer.c:3239
Comment 1 Matthew Saltzman 2013-11-04 23:03:08 EST
Created attachment 819498 [details]
File: backtrace
Comment 2 Matthew Saltzman 2013-11-04 23:03:11 EST
Created attachment 819499 [details]
File: cgroup
Comment 3 Matthew Saltzman 2013-11-04 23:03:16 EST
Created attachment 819500 [details]
File: core_backtrace
Comment 4 Matthew Saltzman 2013-11-04 23:03:20 EST
Created attachment 819501 [details]
File: dso_list
Comment 5 Matthew Saltzman 2013-11-04 23:03:23 EST
Created attachment 819502 [details]
File: environ
Comment 6 Matthew Saltzman 2013-11-04 23:03:26 EST
Created attachment 819503 [details]
File: exploitable
Comment 7 Matthew Saltzman 2013-11-04 23:03:29 EST
Created attachment 819504 [details]
File: limits
Comment 8 Matthew Saltzman 2013-11-04 23:03:34 EST
Created attachment 819505 [details]
File: maps
Comment 9 Matthew Saltzman 2013-11-04 23:03:38 EST
Created attachment 819506 [details]
File: open_fds
Comment 10 Matthew Saltzman 2013-11-04 23:03:41 EST
Created attachment 819507 [details]
File: proc_pid_status
Comment 11 Matthew Saltzman 2013-11-04 23:03:44 EST
Created attachment 819508 [details]
File: var_log_messages
Comment 12 Milan Crha 2013-11-05 12:26:58 EST
Thanks for a bug report. I do not see why the crash happened in the backtrace, only where it did that. I guess it might be caused by some use-after-free of a memory. By any chance, do you have any steps to reproduce this please?
Comment 13 Matthew Saltzman 2013-11-06 12:32:31 EST
I haven't been able to reproduce it reliably.  It happens on startup sometimes.  Evo also seems to just crash randomly at times.  I'm beginning to suspect it might have to do with the fact that I have multiple instances of mail readers pointing at the same Exchange account.  Last time I noticed an evo crash, it followed viewing mail in the Exchange account on my phone.  Maybe it has to do with updating the status of the Exchange account if it's different from what's cached?

Just speculating at this point.
Comment 14 Matthew Saltzman 2013-11-06 12:42:49 EST
So the following just happened: I read a message on my phone, then hit send/receive on evo, and evo crashed.

A data point supporting my speculation.
Comment 15 Milan Crha 2013-11-08 08:08:56 EST
Was the backtrace any similar to the one from above, or completely different? If you can, please give me the backtrace of the reproduced crash.
Comment 16 Matthew Saltzman 2013-11-09 16:24:44 EST
Abrt seems to file these on a whim.  I'm not sure how to grab the traceback, but Abrt has filed or added to several bugs as it has misbehaved.  If you search for Abrt submissions for evolution, goa, and something else I can't recall right now (mission-control, maybe?), from me, you should find several backtraces that might help.
Comment 17 Fedora Admin XMLRPC Client 2014-09-04 10:29:20 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 18 Fedora End Of Life 2015-01-09 15:28:19 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 19 Fedora End Of Life 2015-02-17 14:03:50 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.